## com.baidubce.services.sms.model
Class SendMessageRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.sms.model.SmsRequest
              com.baidubce.services.sms.model.SendMessageRequest

    public class SendMessageRequest

extends SmsRequest

Constructor Summary
`SendMessageRequest()`

Method Summary
`String` `getContentVar()`
`List<String>` `getReceiver()`
`String` `getTemplateId()`
`void` `setContentVar(String contentVar)`
`void` `setReceiver(List<String> receiver)`
`void` `setTemplateId(String templateId)`
`String` `toString()`

Methods inherited from class com.baidubce.services.sms.model.SmsRequest
`getRequestCredentials, setRequestCredentials, withRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendMessageRequest

    public SendMessageRequest()

Method Detail

### getTemplateId

    public String getTemplateId()

### setTemplateId

    public void setTemplateId(String templateId)

### getReceiver

    public List<String> getReceiver()

### setReceiver

    public void setReceiver(List<String> receiver)

### getContentVar

    public String getContentVar()

### setContentVar

    public void setContentVar(String contentVar)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.